commit 860316c85796120e3c72dbef3a6b44c98bf1f07f
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Mon Sep 4 19:55:03 2017 +0200

    ref #6595 removed e3 name editor classes (unstable navigator plugin)

diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/ChecklistPerspective.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/ChecklistPerspective.java
index 752a45a4f..60c61f1d4 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/ChecklistPerspective.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/ChecklistPerspective.java
@@ -1,8 +1,8 @@
 /**
  * Copyright (C) 2007 EDIT
- * European Distributed Institute of Taxonomy 
+ * European Distributed Institute of Taxonomy
  * http://www.e-taxonomy.eu
- * 
+ *
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
@@ -13,12 +13,10 @@ import org.eclipse.ui.IFolderLayout;
 import org.eclipse.ui.IPageLayout;
 
 import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveViewPart;
-import eu.etaxonomy.taxeditor.editor.view.media.MediaViewPart;
 import eu.etaxonomy.taxeditor.navigation.navigator.TaxonNavigator;
 import eu.etaxonomy.taxeditor.navigation.search.SearchResultView;
 import eu.etaxonomy.taxeditor.view.datasource.CdmDataSourceViewPart;
 import eu.etaxonomy.taxeditor.view.detail.DetailsViewPart;
-import eu.etaxonomy.taxeditor.editor.view.concept.ConceptViewPart;
 
 /**
  * @author a.oppermann
@@ -29,7 +27,7 @@ public class ChecklistPerspective extends Default {
 
 	/*
 	 * (non-Javadoc)
-	 * 
+	 *
 	 * @see
 	 * org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui
 	 * .IPageLayout)
@@ -46,7 +44,6 @@ public class ChecklistPerspective extends Default {
 		IFolderLayout folder = layout.createFolder("Folder", IPageLayout.BOTTOM, 0.6f, layout.getEditorArea());
 		folder.addView(DescriptiveViewPart.ID);
 		folder.addView(DetailsViewPart.ID);
-		folder.addView(ConceptViewPart.ID);
 //		folder.addView(MediaViewPart.ID);
 
 //		createAdditionalFolder(layout, layout.getEditorArea());
diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Taxonomic.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Taxonomic.java
index f16a8164b..488498c12 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Taxonomic.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/perspective/Taxonomic.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -13,7 +13,6 @@ import org.eclipse.ui.IFolderLayout;
 import org.eclipse.ui.IPageLayout;
 
 import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveViewPart;
-import eu.etaxonomy.taxeditor.editor.view.media.MediaViewPart;
 import eu.etaxonomy.taxeditor.navigation.navigator.TaxonNavigator;
 import eu.etaxonomy.taxeditor.navigation.search.SearchResultView;
 import eu.etaxonomy.taxeditor.view.detail.DetailsViewPart;
@@ -32,16 +31,15 @@ public class Taxonomic extends Default {
 	@Override
 	public void createInitialLayout(IPageLayout layout) {
 		IFolderLayout navigationFolder = layout.createFolder("navigation", IPageLayout.LEFT, 0.25f, layout.getEditorArea());
-		
+
 		navigationFolder.addView(TaxonNavigator.ID);
 		navigationFolder.addPlaceholder(SearchResultView.ID + ":*");
-		
+
 		layout.addView(DetailsViewPart.ID, IPageLayout.RIGHT, 0.25f, layout.getEditorArea());
 		layout.addView(SupplementalDataViewPart.ID, IPageLayout.BOTTOM, 0.25f, DetailsViewPart.ID);
-		
+
 		layout.addView(DescriptiveViewPart.ID, IPageLayout.BOTTOM, 0.25f, layout.getEditorArea());
-		layout.addView(MediaViewPart.ID, IPageLayout.RIGHT, 0.25f, DescriptiveViewPart.ID);
-		
+
 		createAdditionalFolder(layout, layout.getEditorArea());
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
index 49f263c1f..f63d6b2e9 100644
--- a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
@@ -12,7 +12,6 @@ Export-Package: eu.etaxonomy.taxeditor.editor,
  eu.etaxonomy.taxeditor.editor.handler.defaultHandler,
  eu.etaxonomy.taxeditor.editor.internal,
  eu.etaxonomy.taxeditor.editor.key.polytomous,
- eu.etaxonomy.taxeditor.editor.name,
  eu.etaxonomy.taxeditor.editor.name.handler,
  eu.etaxonomy.taxeditor.editor.name.operation,
  eu.etaxonomy.taxeditor.editor.view.concept,
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/EditorUtil.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/EditorUtil.java
index ca2634e76..c7f6c413a 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/EditorUtil.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/EditorUtil.java
@@ -9,8 +9,6 @@
 
 package eu.etaxonomy.taxeditor.editor;
 
-import java.util.HashSet;
-import java.util.Set;
 import java.util.UUID;
 
 import org.eclipse.core.commands.ExecutionEvent;
@@ -85,19 +83,6 @@ public class EditorUtil extends AbstractUtility {
 		return editor;
 	}
 
-	/**
-	 * Opens a new editor window with the given TaxonEditorInput
-	 *
-	 * @param input
-	 *            a {@link eu.etaxonomy.taxeditor.editor.TaxonEditorInput}
-	 *            object.
-	 * @throws org.eclipse.ui.PartInitException
-	 *             if any.
-	 */
-	public static void open(TaxonEditorInput input) throws PartInitException {
-		open(input, MultiPageTaxonEditor.ID);
-	}
-
 	public static void open(PolytomousKeyEditorInput input)
 			throws PartInitException {
 		open(input, KeyEditor.ID);
@@ -235,86 +220,6 @@ public class EditorUtil extends AbstractUtility {
 		return isSaving;
 	}
 
-	/**
-	 * Returns a set of all currently open <code>MultiPageTaxonEditor</code>s.
-	 *
-	 * @return a {@link java.util.Set} object.
-	 */
-	public static Set<IEditorPart> getOpenEditors() {
-		Set<IEditorPart> taxonEditors = new HashSet<IEditorPart>();
-
-		if (getActivePage() != null) {
-			for (IEditorReference reference : getActivePage()
-					.getEditorReferences()) {
-				IEditorPart editor = reference.getEditor(false);
-				if (editor instanceof MultiPageTaxonEditor) {
-					taxonEditors.add(editor);
-				}
-			}
-		}
-
-		return taxonEditors;
-	}
-
-	/**
-	 * Returns the currently active taxon editor
-	 *
-	 * @return the taxon editor that has focus
-	 */
-	public static MultiPageTaxonEditor getActiveMultiPageTaxonEditor() {
-		Object editorPart = getActiveE4Editor();
-		if (editorPart != null && editorPart instanceof MultiPageTaxonEditor) {
-			MultiPageTaxonEditor editor = (MultiPageTaxonEditor) editorPart;
-			editor.getConversationHolder().bind();
-			return editor;
-		}
-		return null;
-	}
-
-	/**
-	 * <p>
-	 * getActiveEditorPage
-	 * </p>
-	 *
-	 * @param page
-	 *            a {@link eu.etaxonomy.taxeditor.editor.Page} object.
-	 * @return a {@link org.eclipse.ui.IEditorPart} object.
-	 */
-	public static IEditorPart getActiveEditorPage(Page page) {
-		MultiPageTaxonEditor editor = getActiveMultiPageTaxonEditor();
-
-		return editor != null ? editor.getPage(page) : null;
-	}
-
-	/**
-	 * Returns the selection of the currently active taxon editor
-	 *
-	 * @return a {@link org.eclipse.jface.viewers.ISelection} object.
-	 */
-	public static ISelection getCurrentSelection() {
-		if (getActiveMultiPageTaxonEditor() == null) {
-			return null;
-		} else {
-			return getActiveMultiPageTaxonEditor().getSite()
-					.getSelectionProvider().getSelection();
-		}
-	}
-
-	/**
-	 * <p>
-	 * getUndoContext
-	 * </p>
-	 *
-	 * @param editor
-	 *            a {@link eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor}
-	 *            object.
-	 * @return a {@link org.eclipse.core.commands.operations.IUndoContext}
-	 *         object.
-	 */
-	public static IUndoContext getUndoContext(MultiPageTaxonEditor editor) {
-		return editor.getUndoContext();
-	}
-
 	/**
 	 * <p>
 	 * getUndoContext
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java
index 0eaba0acc..9836d8d6e 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java
@@ -4,7 +4,6 @@ import org.apache.log4j.Logger;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.BundleContext;
 
-import eu.etaxonomy.taxeditor.editor.EditorStateManager;
 import eu.etaxonomy.taxeditor.editor.UseObjectManager;
 import eu.etaxonomy.taxeditor.editor.validation.ValidationContextListener;
 import eu.etaxonomy.taxeditor.store.CdmStore;
@@ -19,14 +18,14 @@ public class TaxeditorEditorPlugin extends AbstractUIPlugin {
 
 	/** Constant <code>logger</code> */
 	public static final Logger logger = Logger.getLogger(TaxeditorEditorPlugin.class);
-	
+
 	// The plug-in ID
 	/** Constant <code>PLUGIN_ID="eu.etaxonomy.taxeditor.editor"</code> */
 	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.editor"; //$NON-NLS-1$
 
 	// The shared instance
 	private static TaxeditorEditorPlugin plugin;
-	
+
 	/**
 	 * The constructor
 	 */
@@ -34,25 +33,24 @@ public class TaxeditorEditorPlugin extends AbstractUIPlugin {
 	}
 
 	/** {@inheritDoc} */
-	public void start(BundleContext context) throws Exception {
+	@Override
+    public void start(BundleContext context) throws Exception {
 		super.start(context);
-		
-		EditorStateManager stateManager = new EditorStateManager();
-		CdmStore.getContextManager().addContextListener(stateManager);
-		
-		UseObjectManager useManager = new UseObjectManager();  	 	 
+
+		UseObjectManager useManager = new UseObjectManager();
 		CdmStore.getContextManager().addContextListener(useManager);
-		
+
 		ValidationContextListener vcl = new ValidationContextListener();
 //		CdmStore.getContextManager().addContextListener(vcl);
-		
+
 		plugin = this;
 		logger.trace("Plugin started: " + this.getBundle().getSymbolicName()); //$NON-NLS-1$
 	}
 
 
 	/** {@inheritDoc} */
-	public void stop(BundleContext context) throws Exception {
+	@Override
+    public void stop(BundleContext context) throws Exception {
 		plugin = null;
 		super.stop(context);
 		logger.trace("Plugin stopped"); //$NON-NLS-1$
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java
index 962e60375..c86eb9ab3 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java
@@ -25,9 +25,9 @@ import org.eclipse.ui.forms.widgets.TableWrapLayout;
 
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.taxeditor.editor.CdmDataTransfer;
-import eu.etaxonomy.taxeditor.editor.name.dnd.NameEditorDropTargetEffect;
 import eu.etaxonomy.taxeditor.editor.name.e4.IDropTargetableE4;
 import eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4;
+import eu.etaxonomy.taxeditor.editor.name.e4.dnd.NameEditorDropTargetEffect;
 import eu.etaxonomy.taxeditor.editor.name.e4.dnd.NameEditorDropTargetListenerE4;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.preference.Resources;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupedContainerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupedContainerE4.java
index a896155d1..5afe1eb93 100755
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupedContainerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupedContainerE4.java
@@ -59,9 +59,9 @@ import eu.etaxonomy.taxeditor.editor.name.container.IContainerConstants;
 import eu.etaxonomy.taxeditor.editor.name.container.LineBreakListener;
 import eu.etaxonomy.taxeditor.editor.name.container.LineWrapSupport;
 import eu.etaxonomy.taxeditor.editor.name.container.NameViewer;
-import eu.etaxonomy.taxeditor.editor.name.dnd.NameEditorDragSourceEffect;
 import eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4;
 import eu.etaxonomy.taxeditor.editor.name.e4.dnd.NameEditorDragListenerE4;
+import eu.etaxonomy.taxeditor.editor.name.e4.dnd.NameEditorDragSourceEffect;
 import eu.etaxonomy.taxeditor.editor.name.operation.CreateSynonymInNewGroupOperation;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.model.IElementHasDetails;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragSourceEffect.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragSourceEffect.java
new file mode 100644
index 000000000..ade85e166
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragSourceEffect.java
@@ -0,0 +1,32 @@
+/**
+ *
+ */
+package eu.etaxonomy.taxeditor.editor.name.e4.dnd;
+
+import org.eclipse.swt.dnd.DragSourceEffect;
+import org.eclipse.swt.dnd.DragSourceEvent;
+import org.eclipse.swt.widgets.Control;
+
+/**
+ * @author n.hoffmann
+ * @version $Id: $
+ */
+public class NameEditorDragSourceEffect extends DragSourceEffect {
+
+	public NameEditorDragSourceEffect(Control control) {
+		super(control);
+	}
+
+	/** {@inheritDoc} */
+	@Override
+	public void dragStart(DragSourceEvent event) {
+		super.dragStart(event);
+	}
+
+	/** {@inheritDoc} */
+	@Override
+	public void dragFinished(DragSourceEvent event) {
+		super.dragFinished(event);
+	}
+
+}
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetEffect.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetEffect.java
new file mode 100644
index 000000000..be41b3a19
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetEffect.java
@@ -0,0 +1,40 @@
+/**
+ *
+ */
+package eu.etaxonomy.taxeditor.editor.name.e4.dnd;
+
+import org.eclipse.swt.dnd.DropTargetEffect;
+import org.eclipse.swt.dnd.DropTargetEvent;
+import org.eclipse.swt.widgets.Control;
+
+import eu.etaxonomy.taxeditor.editor.EditorUtil;
+import eu.etaxonomy.taxeditor.editor.name.e4.IDropTargetableE4;
+import eu.etaxonomy.taxeditor.preference.Resources;
+
+/**
+ *
+ * @author n.hoffmann
+ * @version $Id: $
+ */
+public class NameEditorDropTargetEffect extends DropTargetEffect {
+
+	public NameEditorDropTargetEffect(Control control) {
+		super(control);
+	}
+
+	/** {@inheritDoc} */
+	@Override
+    public void dragEnter(DropTargetEvent dropTargetEvent) {
+		if(dropTargetEvent.widget instanceof IDropTargetableE4){
+			((IDropTargetableE4) dropTargetEvent.widget).dragEntered();
+		}
+	}
+
+	/** {@inheritDoc} */
+	@Override
+    public void dragLeave(DropTargetEvent dropTargetEvent) {
+		if(dropTargetEvent.widget instanceof Control){
+			((Control) dropTargetEvent.widget).setBackground(EditorUtil.getColor(Resources.COLOR_COMPOSITE_BACKGROUND));
+		}
+	}
+}
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java
index d131550db..1bd6cbfc1 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java
@@ -19,11 +19,11 @@ import eu.etaxonomy.taxeditor.editor.name.e4.IDropTargetableE4;
 import eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4;
 import eu.etaxonomy.taxeditor.editor.name.e4.container.AbstractHomotypicalGroupContainerE4;
 import eu.etaxonomy.taxeditor.editor.name.e4.container.MisappliedGroupE4;
+import eu.etaxonomy.taxeditor.editor.name.e4.operation.MoveSynonymToAnotherAcceptedTaxonOperationE4;
 import eu.etaxonomy.taxeditor.editor.name.operation.ChangeConceptRelationshipTypeOperation;
 import eu.etaxonomy.taxeditor.editor.name.operation.ChangeConceptToSynonymOperation;
 import eu.etaxonomy.taxeditor.editor.name.operation.ChangeHomotypicGroupOperation;
 import eu.etaxonomy.taxeditor.editor.name.operation.ChangeSynonymToMisapplicationOperation;
-import eu.etaxonomy.taxeditor.editor.name.operation.MoveSynonymToAnotherAcceptedTaxonOperation;
 import eu.etaxonomy.taxeditor.event.EventUtility;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
@@ -112,7 +112,7 @@ public class NameEditorDropTargetListenerE4 extends DropTargetAdapter {
 					getEditor().getConversationHolder().commit();
 					((TaxonNameEditorE4) target).getConversationHolder().commit();
 
-					return new MoveSynonymToAnotherAcceptedTaxonOperation(Messages.NameEditorDropTargetListener_CHANGE_ACC_TAXON, getEditor().getUndoContext(), getEditor().getTaxon().getUuid(), synonym.getUuid(), ((TaxonNameEditorE4) target).getTaxon(), null );
+					return new MoveSynonymToAnotherAcceptedTaxonOperationE4(Messages.NameEditorDropTargetListener_CHANGE_ACC_TAXON, getEditor().getUndoContext(), synonym.getUuid(), ((TaxonNameEditorE4) target).getTaxon(), (TaxonNameEditorE4) target, (TaxonNameEditorE4) target);
 
 				}
 			}
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java
index 758e3ea42..bbb0fd5d3 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java
@@ -17,9 +17,8 @@ import eu.etaxonomy.cdm.model.taxon.Synonym;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.persistence.dto.UuidAndTitleCache;
-import eu.etaxonomy.taxeditor.editor.EditorUtil;
-import eu.etaxonomy.taxeditor.editor.Page;
 import eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4;
+import eu.etaxonomy.taxeditor.event.EventUtility;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
@@ -136,7 +135,7 @@ public class NameEditorMenuPropertyTester extends PropertyTester {
 	 * @return
 	 */
 	public static boolean hasEmptyNames(Object receiver) {
-		TaxonNameEditorE4 editor = (TaxonNameEditorE4) EditorUtil.getActiveEditorPage(Page.NAME);
+		TaxonNameEditorE4 editor = (TaxonNameEditorE4) EventUtility.getEditor();
 		return editor == null ? false : editor.checkForEmptyNames();
 	}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/handler/CreateDescriptionHandler.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/handler/CreateDescriptionHandler.java
index a772e2b3e..12a11a82f 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/handler/CreateDescriptionHandler.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/handler/CreateDescriptionHandler.java
@@ -22,7 +22,7 @@ import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
 import eu.etaxonomy.taxeditor.editor.TaxonEditorInput;
-import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveViewPart;
+import eu.etaxonomy.taxeditor.editor.view.descriptive.e4.FactualDataPartE4;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.operation.CreateSpecimenDescriptionOperation;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.operation.CreateTaxonDescriptionOperation;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
@@ -66,8 +66,8 @@ public class CreateDescriptionHandler extends AbstractHandler {
 			}
 		}
 		// specimen description
-		else if(part instanceof DescriptiveViewPart){
-		    Object viewerInput = ((DescriptiveViewPart)part).getViewer().getInput();
+		else if(part instanceof FactualDataPartE4){
+		    Object viewerInput = ((FactualDataPartE4)part).getViewer().getInput();
 		    if(viewerInput instanceof SpecimenOrObservationBase<?>){
 		        try {
 		            operation = new CreateSpecimenDescriptionOperation(event.getCommand().getName(), EditorUtil.getUndoContext(), (SpecimenOrObservationBase<?>) viewerInput, postOperationEnabled);
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/graph/ConceptGraphView.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/graph/ConceptGraphView.java
index d40528d94..e0f91b54f 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/graph/ConceptGraphView.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/graph/ConceptGraphView.java
@@ -4,12 +4,9 @@
 package eu.etaxonomy.taxeditor.editor.view.concept.graph;
 
 import org.eclipse.jface.viewers.ISelection;
-import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.ui.IEditorInput;
-import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.zest.core.viewers.GraphViewer;
 import org.eclipse.zest.core.widgets.ZestStyles;
@@ -17,12 +14,8 @@ import org.eclipse.zest.layouts.LayoutAlgorithm;
 import org.eclipse.zest.layouts.LayoutStyles;
 import org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm;
 
-import eu.etaxonomy.taxeditor.bulkeditor.BulkEditor;
-import eu.etaxonomy.taxeditor.editor.EditorUtil;
-import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;
 import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.view.AbstractCdmEditorViewPart;
-import eu.etaxonomy.taxeditor.workbench.WorkbenchUtility;
 
 /**
  * @author andreas
@@ -40,34 +33,34 @@ public class ConceptGraphView extends AbstractCdmEditorViewPart {
 	 */
 	@Override
 	protected void selectionChanged_internal(IWorkbenchPart workbenchPart, ISelection selection) {
-
-        Object partObject = workbenchPart;
-        Object wrappedPart = WorkbenchUtility.getE4WrappedPart(partObject);
-        if(wrappedPart!=null){
-            partObject = wrappedPart;
-        }
-//		if(part instanceof ConceptGraphView){
-//			// ConceptGraphView is maximized
+	    //FIXME E4 migrate or delete
+//        Object partObject = workbenchPart;
+//        Object wrappedPart = WorkbenchUtility.getE4WrappedPart(partObject);
+//        if(wrappedPart!=null){
+//            partObject = wrappedPart;
+//        }
+////		if(part instanceof ConceptGraphView){
+////			// ConceptGraphView is maximized
+////			return;
+////		}
+//
+//		if(EditorUtil.getActiveE4Editor() == null){
+//			showEmptyPage();
 //			return;
 //		}
-
-		if(EditorUtil.getActiveE4Editor() == null){
-			showEmptyPage();
-			return;
-		}
-
-		if(partObject instanceof BulkEditor){
-			showEmptyPage();
-			return;
-		}
-
-
-		if(partObject instanceof MultiPageTaxonEditor){
-			if(! partObject.equals(this.part)){
-				IEditorInput input = ((IEditorPart) partObject).getEditorInput();
-				showViewer(partObject, new StructuredSelection(input));
-			}
-		}
+//
+//		if(partObject instanceof BulkEditor){
+//			showEmptyPage();
+//			return;
+//		}
+//
+//
+//		if(partObject instanceof MultiPageTaxonEditor){
+//			if(! partObject.equals(this.part)){
+//				IEditorInput input = ((IEditorPart) partObject).getEditorInput();
+//				showViewer(partObject, new StructuredSelection(input));
+//			}
+//		}
 
 	}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java
index 106ac2f15..88e594591 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveViewPart.java
@@ -45,10 +45,10 @@ import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.taxeditor.bulkeditor.BulkEditor;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
-import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;
 import eu.etaxonomy.taxeditor.editor.l10n.Messages;
+import eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4;
 import eu.etaxonomy.taxeditor.editor.view.checklist.ChecklistEditor;
-import eu.etaxonomy.taxeditor.editor.view.media.MediaViewPart;
+import eu.etaxonomy.taxeditor.editor.view.media.e4.MediaViewPartE4;
 import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
 import eu.etaxonomy.taxeditor.model.FeatureNodeContainerTree;
 import eu.etaxonomy.taxeditor.model.IDirtyMarkable;
@@ -176,7 +176,7 @@ public class DescriptiveViewPart extends AbstractCdmEditorViewPart implements IP
 		}
 
         if (partObject instanceof DetailsViewPart || partObject instanceof SupplementalDataViewPart
-                || partObject instanceof MediaViewPart) {
+                || partObject instanceof MediaViewPartE4) {
             // do not show empty page as these views are also used to edit the
             // description selected in this view
             return;
@@ -194,8 +194,8 @@ public class DescriptiveViewPart extends AbstractCdmEditorViewPart implements IP
         }
         if(selection instanceof IStructuredSelection){
             Object firstElement = ((IStructuredSelection) selection).getFirstElement();
-            if (partObject instanceof MultiPageTaxonEditor){
-            	if (firstElement != ((MultiPageTaxonEditor)partObject).getTaxon()){
+            if (partObject instanceof TaxonNameEditorE4){
+            	if (firstElement != ((TaxonNameEditorE4)partObject).getTaxon()){
             		showEmptyPage();
             		return;
             	}
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java
index 60bf6a78d..f9c7a64c3 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java
@@ -29,7 +29,6 @@ import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
-import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;
 import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4;
 import eu.etaxonomy.taxeditor.editor.view.descriptive.e4.FactualDataPartE4;
@@ -167,7 +166,7 @@ public class MoveDescriptionToOtherTaxonHandlerE4 implements IPostOperationEnabl
         FactualDataPartE4 factualDataPart = (FactualDataPartE4) activePart.getObject();
 
         Object e4WrappedPart = WorkbenchUtility.getE4WrappedPart(factualDataPart.getSelectionProvidingPart());
-        if(e4WrappedPart instanceof MultiPageTaxonEditor){
+        if(e4WrappedPart instanceof TaxonNameEditorE4){
             ISelection selection = factualDataPart.getViewer().getSelection();
             if(selection instanceof IStructuredSelection){
                 Object firstElement = ((IStructuredSelection) selection).getFirstElement();
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/e4/MediaViewPartE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/e4/MediaViewPartE4.java
index adf4c4c7d..dffc96cb3 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/e4/MediaViewPartE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/e4/MediaViewPartE4.java
@@ -28,7 +28,7 @@ import org.eclipse.swt.widgets.Tree;
 import eu.etaxonomy.cdm.model.description.IDescribable;
 import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4;
-import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveViewPart;
+import eu.etaxonomy.taxeditor.editor.view.descriptive.e4.FactualDataPartE4;
 import eu.etaxonomy.taxeditor.editor.view.media.MediaContentProvider;
 import eu.etaxonomy.taxeditor.editor.view.media.MediaLabelProvider;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
@@ -83,7 +83,7 @@ public class MediaViewPartE4 extends AbstractCdmEditorPartE4
 	    Object partObject = createPartObject(activePart);
 
 	    if (partObject instanceof DetailsPartE4 || partObject instanceof SupplementalDataPartE4
-	            || partObject instanceof DescriptiveViewPart) {
+	            || partObject instanceof FactualDataPartE4) {
 	        // do not show empty page as these views are also used to edit the
 	        // description selected in this view
 	        return;
